# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# !! Note 1: this configuration file is for installed linapple
# !! If you have edited Makefile (in src directory of linaple package) 
# !! to change INSTDIR - path where lianpple are to be installed 
# !! you should consider change some paths for disk images and FTP local directory 
# !! in order to let linapple find proper way to access needed stuff

# Note 2: Default install directory (for *nix) is /usr/local/linapple/ 
# (defined in Make file in src directory as INSTDIR variable)

#
# linapple.conf - config file used by LinApple, Apple][ (Apple2, Apple 2) emulator for Linux and other systems with SDL support
#
# Please, note: This file is for linapple version 2.0 and above
#

# Remember - all lines beginning with '#' are considered comments.
#	All values are CASE SENSITIVE, you should not use, for example, 'joystick 0' instead of 'Joystick 0'.

####################################################################
# First of all let us determine our machine type
# that is:
#	0 - old Apple][, right out of the hands of Steve Wozniak and Steve Jobs in far 1977? year.
#	1 - Apple][+	- same as Apple][ with somewhat enbettered functionality
#	2 - Apple//e	- Enhanced Apple][ with 80-column mode and other useful additions
#	3 - Apple//e enhanced	- currently same as Apple//e? Please, ask Tom Charlesworth about it.
# Default is 3

	Computer Emulation =	2

####################################################################
#
# Sound Emulation.
# Possible values currently are 0 - none, and 1 - use SDL Audio for sounds
# Default is 1

	Sound Emulation =	1

#######################################################################
#
# Soundcard Type means what do you want to use in Slot7 as a sound card
#
#	0	- uninit	//??
#	1	- nothing - disable sound card in Slot 4
#	2	- use Mockingboard in Slot 4 (Mockingboard is like SoundBlaster for PC, if you hear about it)
#	3	- use Phasor in Slot 4. Phasor is also a sort of ancient sound cards. Ahhh, what sounds they have!!!
#
# Default value is 2 (use Mockingboard).
# But, please, remember, that currently Mockingboard/Phasor support was not done fully in linapple.
# I need some help for this to port it from AppleWin.  ^_^

	Soundcard Type =	2

#######################################################################
#
#	Joysticks, those sticks of joy! There may be 2 joysticks at the same time
# Possible values are:
#	0	- joystick disabled
#	1	- use PC joystick #1 or #2, for corresponding joystick

#	2	- Keyboard standard
#	3	- Keyboard centered
# When joysticks used as a keyboard, they are stuck to Numpad keys (1-9 - axis movement, 0 - button1, . - button2)
#  when centered used, axis of joystick will be centered after releasing any cursor (Numpad 1..9) key.
# otherwise it assumed to be pressed always

#	4	- Use mouse as a joystick. Rather interesting thing, try it. Useful in Fantavision(tm)by Broderbund Software

# Default values are 2 for Joystick 0, and 0 for Joystick 1

	Joystick 0	=	1
	Joystick 1	=	1

# For Joysticks you can define which Joystick index number, axis number, and buttons.
# 
# Default for Joystick 1 is index 0, axis 0 and 1, buttons 0 and 1.
# Default for Joystick 2 is index 1, axis 0 and 1, button 0.


	Joy0Index	=	0
	Joy1Index	=	1
	Joy0Button1	=	0
	Joy0Button2	=	1
	Joy1Button1	=	0
	Joy0Axis0	=	0
	Joy0Axis1	=	1
	Joy1Axis0	=	0
	Joy1Axis1	=	1
	
# Enable Quitting the program with by pressing two joystick buttons at the same time
# Default is enabled, default buttons are 8 and 9. (Xbox 360 back and start)

	JoyExitEnable	=	1
	JoyExitButton0	=	8
	JoyExitButton1	=	9

##########################################################################
#
# Serial Port joins your Apple][ machine to any device through serial ports.
# Possible values are 0 - disabled, and 1 to 100 which means device /dev/ttyS0 .. /dev/ttyS99 relatively
#
# Default is 0, disabled. Needs testing.

	Serial Port	=	0

##########################################################################

# Emulation Speed is speed of emulator.
# Values are from 0 (lowest speed) till 40 (fastest)
# Default value is 10 (normal speed - 1 MHz)

	Emulation Speed =	10

##########################################################################
#
# Enhance Disk Speed - if the disk spinning should be as in real computer
# Possible values - 0 - yes, the disk spinning speed is like in real Apple][
#		and 1 - use enhanced disk speed.
# Default is 1.

	Enhance Disk Speed =	1

##########################################################################
#
# Video Emulation - a type of video emulation.
# Please, remember that you always can change it using F9 key in emulator.

# Possible values are:
#	0	- use monochrome screen with given color as white (see below Monochrome Color section)

# Color modes, which names speak for themselves.
#	1	- Color Standard
#	2	- Color Text Optimized
#	3	- Color TV emulation
#	4	- Color Half-Shift

# Monochrome modes with predefined monochrome colors
#	5	- Monochrome Amber
#	6	- Monochrome Green
#	7	- Monochrome White
#
#	Default value is 3 - Color TV emulation!

	Video Emulation =	1

##########################################################################
#
# Monochrome Color - define monochrome color that suit you best here.
# Color defined as #RRGGBB, where RR - 2 digits for Red color intensity, GG - same for Green color, and BB for Blue.
# All digits are in HEX-format, 0-9 and A - F.
# Default value is #C0C0C0.

	Monochrome Color =	#FFC010

##########################################################################
#
# Mouse in slot 4. Yes, old Apples][ have it! First they saw it in Xerox Development Center.
# Possible values are 0 - off, and 1 - on.
# Remember, that you can not use Mouse and Mockingboard/Phasor at the same time, for they use same slot (#4).
# So, before enabling mouse support in your machine, switch off Mockingboard (see section above).

# Default is 0.

	Mouse in slot 4 =	0

##########################################################################
#
#	Parallel printer allows you to print any DOS3.3 or Applesoft Basic(tm) output to specified file
#	(after PR#1 at DOS3.3 prompt)
#
# Default is Printer.txt in working directory (which is set inside linapple bin)

	Parallel Printer Filename =

##########################################################################
#
#	HDD - Hard Disk Device for Apple][
#
# Harddisk Enable. Same as for mouse. 0 means no Harddisk support, and 1 - yes, give that Harddisk!
# Remember, that hard disk images for Apple][ are in .HDV format as a rule (with .hdv extensions)
# Hard disk uses Slot 7 in Apple][. So, to access it use something like '] PR#7' at Applesoft Basic(tm) prompt.
# Default is 0.

	Harddisk Enable =	0

# HDV Starting Directory is the starting directory for choose HDV disk images
# Default: your home directory (if not set)

	HDV Starting Directory =	

# And you may also predefine hard disk images here, for 1 and 2 correspondingly.
# Please, use Shift+F3 and Shift+F4 in emulator for change them in real time.
# Remember, that values given here will be rewritten if you change them in emulator.
# Default - do not use any HDV images

	Harddisk Image 1 =	
	Harddisk Image 2 =	

##########################################################################
#
# Slot 6 Directory - starting directory for chosing Apple's disk images in slot 6
#	(usual slot for FDD 140Kb Apple's disks)
#
# Default: your home directory (if not set)

	Slot 6 Directory =	

# You may also provide images to be inserted in 1 and 2 drive (D1 or D2) of Slot 6 at startup
# Default: do not use, starting with image named Master.dsk in current directory

# To get access to the disk in second drive(D2), use something like '] CATALOG,D2' at Applesoft DOS(tm) prompt.

	Disk Image 1 =	
	Disk Image 2 =	

# The next parameter defines if you wish to auto-load these disk images in drives at startup!
# Default value is 0 (Off), suggested: 1 (On)

	Slot 6 Autoload =	0

##########################################################################
#
# Save State Filename - file name for saving/loading state with keys F11 and F12 in emulator.
# Default is none. Note: you can choose it at runtime by pressing F11 (for saving)  or F12 (for loading)

	Save State Filename =	

# SaveSate Directory is a directory where current states will be saved by using F11,F12 (or ALT+F11, ALT+F12 keys, or Ctrl+0..9, Ctrl+Shift+0..9)
#Default is none, which means your home directory

	Save State Directory =	

# Define if you wish to save state on exit and restore it at startup by the next parameter:
# Possible values are 0 - off, and 1 - on. When On, save state will be saved in Save State Filename at exit,
# and will be restored at startup

# Default value is 0.

	Save State On Exit = 0

##########################################################################
#
# Next parameters enables some functions at startup
#
# Fullscreen - if emulator should startup in Fullscreen mode (0 - no, 1 - yes!)
# Boot at startup - if emulator should boot after starting up from Disk1 in SLot 6 (0 - yes, 1 - no)
# Booting at startup disables show logo.
#
# Show Leds 1/0 - show leds while accessing disks (140Kb and HDD) or not, default - 1

	Fullscreen =	1
	Boot at Startup =	1
	Show Leds	= 1

##########################################################################
#
# FTP Server - full path to default FTP server with Apple2 disk images
# FTP UserPass - user:password for accessing this server
# FTP Local Dir - path on local disk to store downloaded ftp files, 

# !!! Warning: FTP Local Dir should be existing directory with write access either FTP won't work
# Note : FTP Server MUST end with '/' sign either it won't work! FTP Local Dir should not end with '/'
# Note : Also there must be cache directory (e.g. directory named `cache` inside FTP Local Dir
# where all downloaded directories are cached for 3 days

        FTP Server =    ftp://ftp.apple.asimov.net/pub/apple_II/images/games/
        FTP ServerHDD = ftp://ftp.apple.asimov.net/pub/apple_II/images/
        FTP UserPass  = anonymous:my-mail@mail.com

#       YOU MUST SET THIS TO USE FTP! and it must have a cache subdir or FTP will fail
#	So if your FTP Local Dir = /home/user/temp you need a directory /home/user/temp/cache

        FTP Local Dir = /home/user/temp


##########################################################################
#
# Screen properties
# Note: not all screen sizes can work in full screen mode, so be careful
# Also if you are using not default mode, the speed of emulator can fall,
# which can be spotted on old machines

# Use this as screen factor in zooming screen.
# Values less than 1.0 will make screen smaller and vice versa!
# Suggested values are 0.3 till 3.0?

#	Screen factor	= 1.5

# Note: if you want to use Screen Width and Screen Height directly, comment out `Screen factor` whole option
# otherwise they won't take effect
# Default Screen Width is 560, Screen Height is 384

	Screen Width 	= 800
	Screen Height	= 600

##########################################################################
#	Disable SDL Mouse Cursor, Handy for Full screen emulation.
#	Default is Disabled

    DisableCursor   =       1
